Subject: Re: linux-next: build failure in the final build

From: Alice Ryhl <[email-masked]>
Date: Wed, 21 Jan 2026 19:14:38 +0000

On Wed, Jan 21, 2026 at 05:14:15PM +0000, Mark Brown wrote:
> Hi all,
> 
> After the final merge today's linux-next build (arm64 allyesconfig)
> failed like this, the same issue will be present in mainline:
> 
> error: field `device` is never read
>   --> /tmp/next/build/drivers/gpu/drm/tyr/driver.rs:37:5
>    |
> 36 | pub(crate) struct TyrDriver {
>    |                   --------- field in this struct
> 37 |     device: ARef<TyrDevice>,
>    |     ^^^^^^
>    |
>    = note: `-D dead-code` implied by `-D warnings`
>    = help: to override `-D warnings` add `#[allow(dead_code)]`
> 
> error: fields `mali` and `sram` are never read
>    --> /tmp/next/build/drivers/gpu/drm/tyr/driver.rs:196:5
>     |
> 195 | struct Regulators {
>     |        ---------- fields in this struct
> 196 |     mali: Regulator<regulator::Enabled>,
>     |     ^^^^
> 197 |     sram: Regulator<regulator::Enabled>,
>     |     ^^^^
> 
> error: aborting due to 2 previous errors
> 
> Caused by commit
> 
>    cf4fd52e32360 (rust: drm: Introduce the Tyr driver for Arm Mali GPUs)
> 
> I am continuing to mark the driver as BROKEN.

Hrm I saw you had this last time too. I'm not sure how you're triggering
it - I haven't run into it myself and I do enable warnings. But I'll try
to repro and fix it.

Note that for this kind of thing you can add `#![allow(warnings)]` to
the top of a file to silence warnings.

Alice